### Method

# EDataServer WebDAVSession traverse_multistatus_response

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_traverse_multistatus_response (
      EWebDAVSession* webdav,
      SoupMessage* message,
      const GByteArray* xml_data,
      EWebDAVPropstatTraverseFunc func,
      gpointer func_user_data,
      GError** error
    )

#### Description [src]

Traverses a DAV:multistatus response and calls `func` for each returned DAV:propstat.

The `message`, if provided, is used to verify that the response is a multi-status and that the Content-Type is properly set. It’s used to get a request URI as well.

Available since: 3.26

#### Parameters

`message`

  Type: `SoupMessage`

  An optional `SoupMessage` corresponding to the response, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`xml_data`

  Type: An array of `guint8`

  A `GByteArray` containing DAV:multistatus response.

  The data is owned by the caller of the method.

`func`

  Type: `EWebDAVPropstatTraverseFunc`

  An `EWebDAVPropstatTraverseFunc` function to call for each DAV:propstat in the multistatus response.

`func_user_data`

  Type: `gpointer`

  User data passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.